Bug 1737830 - mirage depends on Python 2
Summary: mirage depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mirage
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 09:43 UTC by Lumír Balhar
Modified: 2019-09-23 13:17 UTC (History)
1 user (show)

Fixed In Version: mirage-0.9.5.2-20.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-23 13:17:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 09:43:30 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for mirage's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) [remove if clear]

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to mirage.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:54:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Lumír Balhar 2019-08-14 09:02:59 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 3 Mamoru TASAKA 2019-08-19 12:07:35 UTC
Please do understand that replying to more than 10 bugs with multiple questions in 2 weeks (3 comments means 2 weeks) is really hard for volunteers, thank you. And I may forget some bugs.

Comment 4 Lumír Balhar 2019-08-26 13:44:57 UTC
The last release from 2011-12-30 indicates that there is neither Python 3 support nor active upstream development.

Comment 5 Lumír Balhar 2019-09-03 09:58:44 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 6 Mamoru TASAKA 2019-09-08 10:31:19 UTC
While you may want me to do python stuff first, please understand that I have other lots of things to do and I can just look at one by one. Also please know that I've already imported some packages written in python2 to python3. Again I can do just one by one. Now I am doing ruby stuff first.

Comment 7 Mamoru TASAKA 2019-09-09 10:45:34 UTC
Once again, while I am going to work on this, I can do only one by one.

Comment 8 Lumír Balhar 2019-09-10 07:13:36 UTC
We don't need you to start working on your Python packages right now, there is still plenty of time till the half of November. What we need is information so we can plan what we do with hundreds of Python packages. You are the maintainer so I assume that you know at least why this package depends on Python 2, what is the plan of upstream (or at least you can do some assumptions based on the fact that there is no activity in years) and what is your plan - whether you want to keep it in Fedora or you are no longer using it so it can be orphaned etc.

I am posting the same questions and "Please answer" comments in all bugzillas because the process is heavily automated and I need to filter out tens of packages with unresponsive maintainers. But instead of wasting your time replying the same answer to all of them, invest your five minutes and provide some basic info so we can start some discussion, treat your packages individually and stop sending you notifications.

Comment 9 Mamoru TASAKA 2019-09-10 08:17:46 UTC
> there is still plenty of time till the half of November

First of all, the time limit for porting to python3 is November 2019 (i.e. before F-31 release)? 

Anyway:
- This package is written in python2
- The upstream is no active
- Currently I plan to import to python3 by myself (as I've done so on wallpapoz, gphotoframe)
- I have to take some time to look into the souce code

Comment 10 Lumír Balhar 2019-09-10 09:53:59 UTC
That's basically all we need to know now. Thank you.

The general info for leaf packages (and most of your packages are leaves) is:

The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

I am marking this bugzilla as triaged because there is nothing more to discuss. You won't receive any more notifications until we'll be closer to the date and we'll need some update.

It would be nice if you can find some time and provide similar info for other packages.

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions


Note You need to log in before you can comment on or make changes to this bug.